## stepmania 5.0.12+dfsg

=== src/CMakeLists.txt ===
file(MAKE_DIRECTORY "${SM_SRC_DIR}/generated")

if(MSVC)
  # Add the mapconv program of the past to allow for debugging information.
  include("CMakeProject-mapconv.cmake")
  if (WITH_IRC_POST_HOOK)
    include("CMakeProject-irc.cmake")
  endif()
  if (WITH_TEXTURE_GENERATOR OR WITH_FULL_RELEASE)
    include("CMakeProject-texture.cmake")
  endif()
endif()

# Keep the module path local for easier grabbing.
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

# Main project is below.

include(CMakeData-arch.cmake)
include(CMakeData-rage.cmake)
include(CMakeData-os.cmake)
include(CMakeData-actor.cmake)
include(CMakeData-screen.cmake)
include(CMakeData-data.cmake)
include(CMakeData-gtk.cmake)
include(CMakeData-file-types.cmake)
include(CMakeData-globals.cmake)
include(CMakeData-singletons.cmake)

list(APPEND SMDATA_ALL_FILES_SRC
  ${SMDATA_GLOBAL_FILES_SRC}
  ${SMDATA_GLOBAL_SINGLETON_SRC}
  ${SMDATA_ALL_ACTORS_SRC}
  ${SMDATA_ALL_ARCH_SRC}
  ${SMDATA_ALL_DATA_SRC}
  ${SMDATA_ALL_RAGE_SRC}
  ${SMDATA_ALL_SCREENS_SRC}
  ${SMDATA_OS_SRC}
  ${SMDATA_FILE_TYPES_SRC}
)
list(APPEND SMDATA_ALL_FILES_HPP
  ${SMDATA_GLOBAL_FILES_HPP}
  ${SMDATA_GLOBAL_SINGLETON_HPP}
  ${SMDATA_ALL_ACTORS_HPP}
  ${SMDATA_ALL_ARCH_HPP}
  ${SMDATA_ALL_DATA_HPP}
  ${SMDATA_ALL_RAGE_HPP}
  ${SMDATA_ALL_SCREENS_HPP}
  ${SMDATA_OS_HPP}
  ${SMDATA_FILE_TYPES_HPP}
)

if(NOT APPLE)
  list(APPEND SMDATA_ALL_FILES_SRC "Main.cpp")
  source_group("" FILES "Main.cpp")
endif()

if(MSVC OR APPLE)
  set(SM_NAME_RELEASE "StepMania")
  set(SM_NAME_DEBUG "StepMania-debug")
  set(SM_NAME_MINSIZEREL "StepMania-min-size")
  set(SM_NAME_RELWITHDEBINFO "StepMania-release-symbols")
else()
  set(SM_NAME_RELEASE "stepmania")
  set(SM_NAME_DEBUG "stepmania-debug")
  set(SM_NAME_MINSIZEREL "stepmania-min-size")
  set(SM_NAME_RELWITHDEBINFO "stepmania-release-symbols")
endif()

# Configure generated files here.
configure_file("${SM_XCODE_DIR}/Info.plist.in.xml" "${SM_XCODE_DIR}/Info.StepMania.plist")
configure_file("${SM_XCODE_DIR}/plistHelper.in.hpp" "${SM_XCODE_DIR}/plistHelper.hpp")

# TODO: Make this actually be data and not an executable.
if(APPLE)
  set(MACOSX_BUNDLE_BUNDLE_NAME ${SM_EXE_NAME})
  add_executable("${SM_EXE_NAME}" MACOSX_BUNDLE ${SMDATA_ALL_FILES_SRC} ${SMDATA_ALL_FILES_HPP})
  set_target_properties("${SM_EXE_NAME}" PROPERTIES
    MACOSX_BUNDLE TRUE
  )
else()
  if (MSVC)
    foreach ( sm_src_file ${SMDATA_ALL_FILES_SRC} )
      get_filename_component(sm_src_raw "${sm_src_file}" NAME_WE)
      if( ${sm_src_raw} MATCHES "global" )
        set_source_files_properties("${sm_src_raw}.cpp" PROPERTIES COMPILE_FLAGS "/Ycglobal.h")
      elseif(NOT (${sm_src_raw} MATCHES "verstub"))
        set_source_files_properties("${sm_src_raw}.cpp" PROPERTIES COMPILE_FLAGS "/Yuglobal.h")
      endif()
    endforeach()
  endif()
  add_executable("${SM_EXE_NAME}" ${SMDATA_ALL_FILES_SRC} ${SMDATA_ALL_FILES_HPP})
endif()

set_target_properties("${SM_EXE_NAME}" PROPERTIES
  OUTPUT_NAME "${SM_NAME_RELEASE}"
  RELEASE_OUTPUT_NAME "${SM_NAME_RELEASE}"
  DEBUG_OUTPUT_NAME "${SM_NAME_DEBUG}"
  MINSIZEREL_OUTPUT_NAME "${SM_NAME_MINSIZEREL}"
  RELWITHDEBINFO_OUTPUT_NAME "${SM_NAME_RELWITHDEBINFO}"
)

if (WITH_PORTABLE_TOMCRYPT)
  sm_add_compile_definition("${SM_EXE_NAME}" LTC_NO_ASM)
elseif (WITH_NO_ROLC_TOMCRYPT OR APPLE)
  sm_add_compile_definition("${SM_EXE_NAME}" LTC_NO_ROLC)
endif()

sm_add_compile_definition("${SM_EXE_NAME}" CMAKE_POWERED)

if (NOT WITH_NETWORKING)
  sm_add_compile_definition("${SM_EXE_NAME}" WITHOUT_NETWORKING)
endif()

# Compilation flags per project here.
sm_add_compile_definition("${SM_EXE_NAME}" $<$<CONFIG:Debug>:DEBUG>)
sm_add_compile_definition("${SM_EXE_NAME}" $<$<CONFIG:Release>:RELEASE>)
sm_add_compile_definition("${SM_EXE_NAME}" $<$<CONFIG:MinSizeRel>:MINSIZEREL>)
sm_add_compile_definition("${SM_EXE_NAME}" $<$<CONFIG:RelWithDebInfo>:RELWITHDEBINFO>)

set(SM_COMPILE_FLAGS "")

if(WITH_SSE2)
  if(MSVC)
    set(SM_COMPILE_FLAGS "${SM_COMPILE_FLAGS} /arch:SSE2")
  else()
    set(SM_COMPILE_FLAGS "${SM_COMPILE_FLAGS} -msse2")
  endif()
endif()

if(WITH_LTO)
  if(MSVC)
    set(SM_COMPILE_FLAGS "${SM_COMPILE_FLAGS} /GL")
  else()
    set(SM_COMPILE_FLAGS "${SM_COMPILE_FLAGS} -flto")
  endif()
endif()

if(MSVC)
  # TODO: Find a way to do this cleanly for non MSVC users.
  set(SM_COMPILE_FLAGS "${SM_COMPILE_FLAGS} /MP2")
endif()

set_target_properties("${SM_EXE_NAME}" PROPERTIES
  COMPILE_FLAGS "${SM_COMPILE_FLAGS}"
)

set_target_properties("${SM_EXE_NAME}" PROPERTIES
  OUTPUT_NAME_DEBUG "${SM_NAME_DEBUG}"
  OUTPUT_NAME_MINSIZEREL "${SM_NAME_MINSIZEREL}"
  OUTPUT_NAME_RELWITHDEBINFO "${SM_NAME_RELWITHDEBINFO}"
)

list(APPEND SM_WINDOWS_PROGRAM_DLLS
  "${SM_PROGRAM_DIR}/avcodec-55.dll"
  "${SM_PROGRAM_DIR}/avformat-55.dll"
  "${SM_PROGRAM_DIR}/avutil-52.dll"
  "${SM_PROGRAM_DIR}/parallel_lights_io.dll"
  "${SM_PROGRAM_DIR}/swscale-2.dll"
)

if(WIN32)
  sm_add_compile_definition("${SM_EXE_NAME}" WINDOWS)
  sm_add_compile_definition("${SM_EXE_NAME}" _WINDOWS) # TODO: Remove this potential duplicate.
  sm_add_compile_definition("${SM_EXE_NAME}" _CRT_SECURE_NO_WARNINGS)
  sm_add_compile_definition("${SM_EXE_NAME}" _WINSOCK_DEPRECATED_NO_WARNINGS)
  sm_add_compile_definition("${SM_EXE_NAME}" GLEW_STATIC)
  
  set_target_properties("${SM_EXE_NAME}" PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${SM_PROGRAM_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELEASE "${SM_PROGRAM_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_DEBUG "${SM_PROGRAM_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL "${SM_PROGRAM_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${SM_PROGRAM_DIR}"
  )
  
  if(MSVC)
    # Allow for getting a virtualdub stack trace.
    add_custom_command(TARGET "${SM_EXE_NAME}"
      POST_BUILD
      COMMAND "mapconv" "${SM_PROGRAM_DIR}/$<$<CONFIG:DEBUG>:${SM_NAME_DEBUG}>$<$<CONFIG:MINSIZEREL>:${SM_NAME_MINSIZEREL}>$<$<CONFIG:RELWITHDEBINFO>:${SM_NAME_RELWITHDEBINFO}>$<$<CONFIG:RELEASE>:${SM_NAME_RELEASE}>.map" "${SM_PROGRAM_DIR}/$<$<CONFIG:DEBUG>:${SM_NAME_DEBUG}>$<$<CONFIG:MINSIZEREL>:${SM_NAME_MINSIZEREL}>$<$<CONFIG:RELWITHDEBINFO>:${SM_NAME_RELWITHDEBINFO}>$<$<CONFIG:RELEASE>:${SM_NAME_RELEASE}>.vdi"
      COMMENT "Generating file to allow for easier stack traces."
    )
  endif()
elseif(APPLE)
  set_target_properties("${SM_EXE_NAME}" PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELEASE "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_DEBUG "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${SM_ROOT_DIR}"
    MACOSX_BUNDLE_INFO_PLIST "${SM_XCODE_DIR}/Info.StepMania.plist"
    XCODE_ATTRIBUTE_INFOPLIST_FILE "${SM_XCODE_DIR}/Info.StepMania.plist"
    XCODE_ATTRIBUTE_INFOPLIST_PREPROCESS "YES"
    XCODE_ATTRIBUTE_INFOPLIST_PREPROCESSOR_DEFINITIONS[variant=Release] "RELEASE"
    XCODE_ATTRIBUTE_INFOPLIST_PREPROCESSOR_DEFINITIONS[variant=Debug] "DEBUG"
    XCODE_ATTRIBUTE_INFOPLIST_PREPROCESSOR_DEFINITIONS[variant=MinSizeRel] "MINSIZEREL"
    XCODE_ATTRIBUTE_INFOPLIST_PREPROCESSOR_DEFINITIONS[variant=RelWithDebInfo] "RELWITHDEBINFO"
    XCODE_ATTRIBUTE_INFOPLIST_PREFIX_HEADER "${SM_XCODE_DIR}/plistHelper.hpp"
    XCODE_ATTRIBUTE_GCC_PREFIX_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/archutils/Darwin/StepMania.pch"
    XCODE_ATTRIBUTE_LIBRARY_SEARCH_PATHS "${SM_XCODE_DIR}/Libraries"
  )

  sm_add_compile_definition("${SM_EXE_NAME}" _XOPEN_SOURCE)

  if (${HAS_FFMPEG})
    sm_add_compile_definition("${SM_EXE_NAME}" HAVE_FFMPEG)
  endif()

  if (CMAKE_BUILD_TYPE EQUAL "Debug")
    set(SM_APP_RELEASE_NAME "${SM_NAME_DEBUG}")
  elseif(CMAKE_BUILD_TYPE EQUAL "MinSizeRel")
    set(SM_APP_RELEASE_NAME "${SM_NAME_MINSIZEREL}")
  elseif(CMAKE_BUILD_TYPE EQUAL "RelWithDebInfo")
    set(SM_APP_RELEASE_NAME "${SM_NAME_RELWITHDEBINFO}")
  else()
    set(SM_APP_RELEASE_NAME "${SM_NAME_RELEASE}")
  endif()
  if (WITH_FULL_RELEASE)
    string(CONCAT SM_NAME_VERSION "${SM_EXE_NAME}" "-" "${SM_VERSION_TRADITIONAL}")
    set(SM_DMG_VERSION "${SM_VERSION_TRADITIONAL}")
  else()
    string(CONCAT SM_NAME_VERSION "${SM_EXE_NAME}" "-" "${SM_VERSION_FULL}")
    set(SM_DMG_VERSION "${SM_VERSION_FULL}")
  endif()
  set(SM_DMG_RELEASE_NAME "${SM_NAME_VERSION}-mac.dmg")

  add_custom_target(dmg
    COMMAND
      pushd ${SM_ROOT_DIR}\;
      mkdir dmgtmpdir\;
      cd dmgtmpdir\;
      mkdir ${SM_NAME_VERSION}\;
      cd ${SM_NAME_VERSION}\;
      mkdir ${SM_NAME_VERSION}\;
      cd ${SM_NAME_VERSION}\;
      cp -r "${SM_ROOT_DIR}/Announcers" .\;
      cp -r "${SM_ROOT_DIR}/BackgroundEffects" .\;
      cp -r "${SM_ROOT_DIR}/BackgroundTransitions" .\;
      cp -r "${SM_ROOT_DIR}/BGAnimations" .\;
      cp -r "${SM_ROOT_DIR}/Characters" .\;
      cp -r "${SM_ROOT_DIR}/Courses" .\;
      cp -r "${SM_ROOT_DIR}/Data" .\;
      cp -r "${SM_ROOT_DIR}/Docs" .\;
      cp -r "${SM_ROOT_DIR}/Manual" .\;
      cp -r "${SM_ROOT_DIR}/NoteSkins" .\;
      cp -r "${SM_ROOT_DIR}/Scripts" .\;
      cp -r "${SM_ROOT_DIR}/Songs" .\;
      cp -r "${SM_ROOT_DIR}/Themes" .\;
      cp -r "${SM_ROOT_DIR}/${SM_APP_RELEASE_NAME}.app" .\;
      cd ${SM_ROOT_DIR}\;
      hdiutil create "${SM_DMG_RELEASE_NAME}"
        -volname "StepMania ${SM_DMG_VERSION}"
        -srcfolder "dmgtmpdir/${SM_NAME_VERSION}/"
        -ov\;
      rm -rf dmgtmpdir\;
      popd\;
  )

  # Add the ability to copy the resource file.
  add_custom_command(TARGET "${SM_EXE_NAME}"
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E make_directory "$<TARGET_FILE_DIR:StepMania>/../Resources"
    COMMAND ${CMAKE_COMMAND} -E copy "${SM_XCODE_DIR}/smicon.icns" "$<TARGET_FILE_DIR:StepMania>/../Resources/"
    COMMAND ${CMAKE_COMMAND} -E copy "${SM_XCODE_DIR}/Hardware.plist" "$<TARGET_FILE_DIR:StepMania>/../Resources/"
  )
else() # Linux
  set_target_properties("${SM_EXE_NAME}" PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELEASE "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_DEBUG "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL "${SM_ROOT_DIR}"
    RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${SM_ROOT_DIR}"
  )

  if(${WITH_CRASH_HANDLER})
    sm_add_compile_definition("${SM_EXE_NAME}" CRASH_HANDLER)
    if(LINUX)
      # used only in the ArchHooks_Unix.cpp file
      sm_add_compile_definition("${SM_EXE_NAME}" BACKTRACE_METHOD_X86_LINUX)
      sm_add_compile_definition("${SM_EXE_NAME}" BACKTRACE_METHOD_TEXT="x86 custom backtrace")
      sm_add_compile_definition("${SM_EXE_NAME}" BACKTRACE_LOOKUP_METHOD_TEXT="backtrace_symbols")
      if (${DL_FOUND})
        sm_add_compile_definition("${SM_EXE_NAME}" BACKTRACE_LOOKUP_METHOD_DLADDR)
      else()
        sm_add_compile_definition("${SM_EXE_NAME}" BACKTRACE_LOOKUP_METHOD_BACKTRACE_SYMBOLS)
      endif()
    endif()
  endif()
  if (${HAS_PTHREAD})
    sm_add_compile_definition("${SM_EXE_NAME}" HAVE_LIBPTHREAD)

    message("Host processor is ${CMAKE_SYSTEM_PROCESSOR}")
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
      message("Host processor is 64bit")
      sm_add_compile_definition("${SM_EXE_NAME}" CPU_X86_64)
    elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86" OR CMAKE_SYSTEM_PROCESSOR MATCHES "i686")
      message("Host processor is 32bit")
      sm_add_compile_definition("${SM_EXE_NAME}" CPU_X86)
    else()
      message("Unrecognized host processor type")
    endif()
  endif()
  if (${HAS_FFMPEG})
    sm_add_compile_definition("${SM_EXE_NAME}" HAVE_FFMPEG)
  endif()
  if (BSD)
    sm_add_compile_definition("${SM_EXE_NAME}" BSD)
  endif()

  if (GTK2_FOUND)
    sm_add_compile_definition("${SM_EXE_NAME}" HAVE_GTK)
  endif()

  sm_add_compile_definition("${SM_EXE_NAME}" UNIX)
  if("${CMAKE_SYSTEM}" MATCHES "Linux")
    sm_add_compile_definition("${SM_EXE_NAME}" LINUX)
  endif()
endif()

set_property(TARGET "${SM_EXE_NAME}" PROPERTY FOLDER "Internal Libraries")

list(APPEND SMDATA_LINK_LIB
  "lua-5.1"
  "tomcrypt"
  "tommath"
  "zlib"
  "jsoncpp"
  "png"
  "glew"
  "jpeg"
)
include(../extern/CMakeProject-mmmagic.cmake)

if (HAS_MP3)

=== debian/changelog ===
stepmania (5.0.12+dfsg-2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Aug 2019 18:45:01 -0700

stepmania (5.0.12+dfsg-2build3) disco; urgency=low

  * Rebuild for Disco

 -- kakurasan <kakurasan@gmail.com>  Sat, 20 Apr 2019 22:30:00 +0900

stepmania (5.0.12+dfsg-2build2) cosmic; urgency=low

  * Rebuild for Cosmic

 -- kakurasan <kakurasan@gmail.com>  Mon, 22 Oct 2018 22:30:00 +0900

stepmania (5.0.12+dfsg-2build1) bionic; urgency=low

  * Rebuild for Bionic

 -- kakurasan <kakurasan@gmail.com>  Fri, 27 Apr 2018 23:00:00 +0900

stepmania (5.0.12+dfsg-2) artful; urgency=low

  * Add stepmania-5.0.12-messageman.patch
    from https://github.com/stepmania/stepmania/pull/1384
    See also: https://github.com/stepmania/stepmania/issues/1606#issuecomment-359112386
  * Use default GCC

 -- kakurasan <kakurasan@gmail.com>  Fri, 27 Apr 2018 22:00:00 +0900

stepmania (5.0.12+dfsg-1build2) artful; urgency=low

  * Rebuild for Artful

 -- kakurasan <kakurasan@gmail.com>  Fri, 13 Oct 2017 22:00:00 +0900

stepmania (5.0.12+dfsg-1build1) zesty; urgency=low

  * Rebuild for Zesty

 -- kakurasan <kakurasan@gmail.com>  Sat, 22 Apr 2017 22:00:00 +0900

stepmania (5.0.12+dfsg-1) yakkety; urgency=low

  * New upstream release
  * Use GCC5

 -- kakurasan <kakurasan@gmail.com>  Thu, 27 Oct 2016 22:00:00 +0900

stepmania (5.0.11+dfsg-1) xenial; urgency=low

  * New upstream release

 -- kakurasan <kakurasan@gmail.com>  Thu, 16 Jun 2016 22:00:00 +0900

stepmania (5.0.9+dfsg-3) xenial; urgency=low

  * Fix dep5-copyright-license-name-not-unique

 -- kakurasan <kakurasan@gmail.com>  Mon, 11 Apr 2016 22:00:00 +0900

stepmania (5.0.9+dfsg-2build1) wily; urgency=low

  * Rebuild for Wily

 -- kakurasan <kakurasan@gmail.com>  Sat, 10 Oct 2015 22:00:00 +0900

stepmania (5.0.9+dfsg-2) vivid; urgency=low

  * Fix build failure on i386

 -- kakurasan <kakurasan@gmail.com>  Tue, 23 Jun 2015 22:00:00 +0900

stepmania (5.0.9+dfsg-1) vivid; urgency=low

  * New upstream release

 -- kakurasan <kakurasan@gmail.com>  Mon, 22 Jun 2015 22:00:00 +0900

stepmania (5.0.8+dfsg-1) vivid; urgency=low

  * New upstream release
  * Use CMake

 -- kakurasan <kakurasan@gmail.com>  Tue, 12 May 2015 22:00:00 +0900

stepmania (5.0.7+dfsg-1) vivid; urgency=low

  * Initial release (version 5)

 -- kakurasan <kakurasan@gmail.com>  Sun, 12 Apr 2015 22:00:00 +0900

=== debian/control ===
Source: stepmania
Section: games
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: kakurasan <kakurasan@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libasound2-dev,
               libbz2-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libglew-dev,
               libglu1-mesa-dev,
               libgtk2.0-dev,
               libjack-jackd2-dev,
               libjpeg-dev,
               libmad0-dev,
               libogg-dev,
               libpcre3-dev,
               libpng-dev,
               libpulse-dev,
               libudev-dev,
               libva-dev,
               libvorbis-dev,
               libxrandr-dev,
               libxtst-dev,
               yasm,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.stepmania.com/

Package: stepmania
Architecture: any
Depends: stepmania-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced rhythm game
 StepMania is a music/rhythm game. The player presses different buttons in time
 to the music and to note patterns that scroll across the screen. Features 3D
 graphics, visualizations, support for gamepads/dance pads, a step recording
 mode, and more!
 To add songs, simply copy the content of your folder containing songs to
 ~/.stepmania-5.0/Songs as user, or to /usr/share/games/stepmania/Songs as root.

Package: stepmania-data
Architecture: all
Depends: ${misc:Depends}
Description: Advanced rhythm game - data files
 StepMania is a free dance and rhythm game. It features 3D
 graphics, keyboard and "dance pad" support, and an editor for creating
 your own steps.

Package: stepmania-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Advanced rhythm game - doc files
 StepMania is a free dance and rhythm game. It features 3D
 graphics, keyboard and "dance pad" support, and an editor for creating
 your own steps.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

REALVERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed -n 's/^Version: \([.0-9]*\).*/\1/p')
UPVERSION = $(REALVERSION)
FFMPEGVERSION = 2.1.3
DATE = 2016-08-10 17:15:24 -0600
SRC_URI = https://github.com/stepmania/stepmania/archive/v$(UPVERSION).tar.gz


# main packaging script based on dh7 syntax
%:
	dh $@ --parallel

override_dh_auto_configure:
	tar jxf $(CURDIR)/debian/ffmpeg-$(FFMPEGVERSION).tar.bz2
	mv ffmpeg-$(FFMPEGVERSION) \
		$(CURDIR)/extern/ffmpeg-linux-$(FFMPEGVERSION)
	dh_auto_configure --buildsystem=cmake -- \
		-DWITH_MINIMAID=OFF \
		-DWITH_CRYSTALHD_DISABLED=ON

override_dh_auto_test:

override_dh_auto_install:

override_dh_auto_clean:
	dh_auto_clean --buildsystem=cmake --parallel
	rm -fr \
		src/generated \
		stepmania \
		GtkModule.so \
		ffmpeg-$(FFMPEGVERSION) \
		extern/ffmpeg-linux-$(FFMPEGVERSION)

get-orig-source:
	rm -fr \
		stepmania-$(UPVERSION) \
		stepmania_$(REALVERSION)+dfsg \
		v$(UPVERSION).tar.gz \
		stepmania_$(REALVERSION)+dfsg.orig.tar.xz
	wget $(SRC_URI)
	tar zxf v$(UPVERSION).tar.gz
	mv stepmania-$(UPVERSION) stepmania_$(REALVERSION)+dfsg
	rm -fr \
		stepmania_$(REALVERSION)+dfsg/Program/* \
		stepmania_$(REALVERSION)+dfsg/Xcode/* \
		stepmania_$(REALVERSION)+dfsg/Utils/* \
		stepmania_$(REALVERSION)+dfsg/extern/ffmpeg/* \
		stepmania_$(REALVERSION)+dfsg/extern/for_mingw/* \
		stepmania_$(REALVERSION)+dfsg/extern/glew*/* \
		stepmania_$(REALVERSION)+dfsg/extern/libjpeg/* \
		stepmania_$(REALVERSION)+dfsg/extern/libmmmagic/* \
		stepmania_$(REALVERSION)+dfsg/extern/libpng/* \
		stepmania_$(REALVERSION)+dfsg/extern/mad*/* \
		stepmania_$(REALVERSION)+dfsg/extern/newogg/* \
		stepmania_$(REALVERSION)+dfsg/extern/newvorbis/* \
		stepmania_$(REALVERSION)+dfsg/extern/pcre/* \
		stepmania_$(REALVERSION)+dfsg/extern/zlib/* \
		stepmania_$(REALVERSION)+dfsg/Docs/license-ext/vlgothic \
		stepmania_$(REALVERSION)+dfsg/Docs/Copying.MAD
	touch -d "$(DATE)" \
		stepmania_$(REALVERSION)+dfsg/Program \
		stepmania_$(REALVERSION)+dfsg/Xcode \
		stepmania_$(REALVERSION)+dfsg/Utils \
		stepmania_$(REALVERSION)+dfsg/extern/ffmpeg \
		stepmania_$(REALVERSION)+dfsg/extern/for_mingw \
		stepmania_$(REALVERSION)+dfsg/extern/glew* \
		stepmania_$(REALVERSION)+dfsg/extern/libjpeg \
		stepmania_$(REALVERSION)+dfsg/extern/libmmmagic \
		stepmania_$(REALVERSION)+dfsg/extern/libpng \
		stepmania_$(REALVERSION)+dfsg/extern/mad* \
		stepmania_$(REALVERSION)+dfsg/extern/newogg \
		stepmania_$(REALVERSION)+dfsg/extern/newvorbis \
		stepmania_$(REALVERSION)+dfsg/extern/pcre \
		stepmania_$(REALVERSION)+dfsg/extern/zlib \
		stepmania_$(REALVERSION)+dfsg/extern \
		stepmania_$(REALVERSION)+dfsg/Docs/license-ext \
		stepmania_$(REALVERSION)+dfsg/Docs \
		stepmania_$(REALVERSION)+dfsg
	find stepmania_$(REALVERSION)+dfsg -exec chmod g-w {} \;
	chmod -x stepmania_$(REALVERSION)+dfsg/Themes/_fallback/Graphics/CreditsLogo\ kyzentun.png
	tar cf - stepmania_$(REALVERSION)+dfsg | xz -9e > stepmania_$(REALVERSION)+dfsg.orig.tar.xz
	rm -fr \
		stepmania_$(REALVERSION)+dfsg \
		v$(UPVERSION).tar.gz

#override_dh_strip:
#	dh_strip --no-automatic-dbgsym
